Webhook Event ReferenceSubscriptions
subscription.created
Triggers when a new subscription is created.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/subscription.created{
"api_version": "2024-04-01",
"data": {
"attribution": {
"affiliate": null,
"agent": {
"email": null,
"first_name": "string",
"id": 0,
"last_name": "string"
},
"funnel": null,
"gclid": null,
"metadata": {},
"subaffiliate1": null,
"subaffiliate2": null,
"subaffiliate3": null,
"subaffiliate4": null,
"subaffiliate5": null,
"utm_campaign": null,
"utm_content": null,
"utm_medium": null,
"utm_source": null,
"utm_term": null
},
"billing_address": {
"country": "string",
"first_name": "string",
"id": 0,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"cancel_reason": "string",
"cancel_reason_other_message": null,
"currency": "string",
"date_created": "2024-01-01T00:00:00Z",
"frequency": "string",
"id": 0,
"interval": "string",
"interval_count": 0,
"is_tax_known": false,
"is_test": false,
"lines": [
{
"id": 0,
"metadata": {},
"price": "0.00",
"product_id": 0,
"product_image": "https://example.com",
"product_title": "string",
"product_url": "https://example.com",
"quantity": 0,
"sku": "string",
"variant_id": 0,
"variant_title": "string"
}
],
"next_renewal_date": null,
"num_lines": 0,
"num_orders": 0,
"orders": [
{
"billing_cycle": 0,
"order_number": "string"
}
],
"payment_details": {},
"payment_method": "string",
"shipping_address": {
"country": "string",
"first_name": "string",
"id": 0,
"last_name": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"notes": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"shipping_code": "string",
"shipping_price": "string",
"status": "string",
"total": "0.00",
"user": {
"accepts_marketing": false,
"email": null,
"first_name": "string",
"id": 0,
"ip": null,
"language": null,
"last_name": "string",
"phone_number": null,
"user_agent": null
}
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "subscription.created",
"object": "subscription",
"webhook": {
"events": [
"subscription.created"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}